# -*- rpm-spec -*-
# $Id: libgssapi,v 1.8 2006/07/18 15:39:45 me Exp $

%def_disable static

Name: libgssapi
Version: 0.10
Release: alt1.0

Summary: GSSAPI frontend library
License: Distributable
Group: System/Libraries
Url: http://www.citi.umich.edu/projects/nfsv4/linux/

Source0: %url/%name/%name-%version.tar.bz2

%package devel
Summary: GSSAPI frontend library and headers
Group: Development/C
Requires: %name = %version-%release

%if_enabled static
%package devel-static
Summary: GSSAPI frontend static library
Group: Development/C
Requires: %name-devel = %version-%release
%endif

%description
This library exports a gssapi interface, but doesn't implement any gssapi
mechanisms itself; instead it calls gssapi routines in other libraries,
depending on the mechanism.

%description devel
This library exports a gssapi interface, but doesn't implement any gssapi
mechanisms itself; instead it calls gssapi routines in other libraries,
depending on the mechanism.

This package holds development part of %name library

%if_enabled static
%description devel-static
This library exports a gssapi interface, but doesn't implement any gssapi
mechanisms itself; instead it calls gssapi routines in other libraries,
depending on the mechanism.

This package contains static %name library
%endif

%prep
%setup -q
sed -i 's@^/usr/lib@/%_lib@; s@krb5\.so[ 	]@krb5.so.2 @' doc/gssapi_mech.conf

%build
%__autoreconf
%configure %{subst_enable static}
%make_build

%install
%makeinstall
mkdir -p %buildroot/%_lib
mv %buildroot%_libdir/*.so.* %buildroot/%_lib/
find %buildroot%_libdir -name \*.so|while read; do
	ln -snf ../../%_lib/`readlink $REPLY` %buildroot%_libdir/${REPLY##*/}
done
%__install -pD -m644 doc/gssapi_mech.conf %buildroot%_sysconfdir/gssapi_mech.conf

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS COPYING README
%config(noreplace) %_sysconfdir/gssapi_mech.conf
/%_lib/%name.so.*

%files devel
%_libdir/%name.so
%_pkgconfigdir/*
%_includedir/gssglue

%if_enabled static
%files devel-static
%_libdir/%name.a
%endif

%changelog
* Mon Apr 16 2007 ALT QA Team Robot <qa-robot@altlinux.org> 0.10-alt1.0
- Automated rebuild.

* Mon Jul 17 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.10-alt1
- 0.10 released

* Sun Mar 19 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.7-alt1
- 0.7 released

* Mon Jan 16 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.5-alt2
- fixed build on x86_64

* Fri Oct 14 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.5-alt1
- 0.5 released

* Sun Aug 21 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.4-alt1
- Initial build.

